const apiSsrBaseURL = "http://localhost:8080/api/v1/_/fontis_v2"

module.exports = {
    apiSsrBaseURL,
    ssrValidatePath: function (path) {
        // validate if path ssr rendering is ok, -1 = NOTFOUND, 0 = NO SSR, 1 = SSR
        // pe. use context.readCollection("product", {filter: {path: path}}) ... to validate dynamic urls

        // // / is de home
        // if (path == "/") return 1

        // // all other sites are in db
        //path = path?.replace(/^\//, "")
        console.log("PATH:", path)
        // filter for path or alternativePaths
        const resp = context.db.find("page", {
            filter: {
                $and: [{ path }],
            },

            selector: { _id: 1 },
        })
        console.log("RESP:", resp?.length)
        if (resp && resp.length) {
            return 1
        }

        // not found
        return -1
    },
    ssrPublishCheckCollections: ["page"],
    LIGHTHOUSE_TOKEN: "AIzaSyC0UxHp3-MpJiDL3ws7pEV6lj57bfIc7GQ",
}
